Skip to content

Rates

This object represents the interest and promo rates of the loan. You can modify interest and promo rates at any time. If a rate is modified or added with an effective date in the past, we will recalculate loan balances retroactively and future expected payments from the effective date. If a rate is modified or added with effective date in the future, we will recalculate future expected payments only.

Get draw effective rates

Request

This endpoint returns rates details of a draw for a given date(s). Interest rates: If two or more interest rates are active on the same date (aka overlap), the Peach system selects the lowest rate (also called effective rate) to accrue interest. Promo rates: If two or more promo rates are active on the same date (aka overlap), the Peach system sums up the rates as "effective" promo rate.

Security
oauth2(Required scopes: rates:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

drawIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The draw identifier.

Query
fromDatestring, (date)

The from date. Pass the same value in the fromDate and toDate if you need to get the rates for a specific date.

toDatestring, (date)

The to date. Pass the same value in the fromDate and toDate if you need to get the rates for a specific date.

periodIdsArray of strings

List of period IDs to specify the requested dates.

This is an alternative to using fromDate and toDate to specify the requested dates; instead of specifying a range of dates, every date falling within all of the specified periods will be returned. Note this might result in non-consecutive dates.

Cannot be used in conjunction with fromDate or toDate.

periodDueDatesArray of strings, (date)

List of period due dates to specify the requested dates.

This is an alternative to specifying the periods of concern with IDs and instead referencing them by their due dates.

This is also an alternative to using fromDate and toDate to specify the requested dates; instead of specifying a range of dates, every date falling within all of the specified periods will be returned. Note this might result in non-consecutive dates.

Cannot be used in conjunction with fromDate or toDate.

GET
/people/{personId}/loans/{loanId}/draws/{drawId}/effective-rates
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/draws/{drawId}/effective-rates?fromDate=2019-08-24&toDate=2019-08-24&periodIds=string&periodDueDates=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataobject
Response
{ "data": { "effectiveRates": [ … ] } }